StatisticsData (accounting-node 1.4.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.persistence
Class StatisticsData

    java.lang.Object
      org.gcube.common.accounting.node.persistence.StatisticsData

All Implemented Interfaces:
  Serializable

    public class StatisticsData

extends Object
implements Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Constructor Summary
`StatisticsData(RIAccountingData.statisticsType type, long interval)`

Method Summary
`void` | `addStatistics(Double value)`
`long` | `getInterval()`
`HashMap<Long,Long>` | `getIntervalMapping()`
`Double` | `getStatistics(Long index)`
`RIAccountingData.statisticsType` | `getType()`
`void` | `setInterval(long interval)`
`void` | `setIntervalMapping(HashMap<Long,Long> intervalMapping)`
`void` | `setType(RIAccountingData.statisticsType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsData

    public StatisticsData(RIAccountingData.statisticsType type,
                          long interval)

Parameters:
  `type` -

Method Detail

### getType

    public RIAccountingData.statisticsType getType()

### setType

    public void setType(RIAccountingData.statisticsType type)

### addStatistics

    public void addStatistics(Double value)
                       throws Exception

  Throws:
    `Exception`

### getStatistics

    public Double getStatistics(Long index)
                         throws Exception

  Throws:
    `Exception`

### getInterval

    public long getInterval()

### setInterval

    public void setInterval(long interval)

### getIntervalMapping

    public HashMap<Long,Long> getIntervalMapping()

### setIntervalMapping

    public void setIntervalMapping(HashMap<Long,Long> intervalMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.